Summary: Midgard Apache module
Name: mod_midgard
Version: 1.5.1
Release: alt0.2cvs20030916
Url: http://www.midgard-project.org/
License: GPL
Group: System/Servers
Source: %name-%version.tar.bz2
Source2: mod_midgard.conf
Requires: libmidgard >= %version
Obsoletes: mod_midgard-preparse

# Automatically added by buildreq on Wed Sep 24 2003
BuildRequires: apache-devel glib-devel libMySQL-devel libdb1 libexpat-devel libgdbm libmidgard-devel libmm zlib-devel

%description
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services.

%prep
%setup -n %name-%version

%build
PATH=/usr/sbin:$PATH %configure --with-midgard-config=/usr/bin/midgard-config --with-apxs=/usr/sbin/apxs
DEF='-DMIDGARD_RPM_RELEASE=\"\\\"${RPM_PACKAGE_RELEASE}\\\"\"' make

%install
install -d $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
cp %SOURCE2 $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules
cat <<EOTEXT > POSTINSTALL
Be sure to install midgard-data package and
run /etc/httpd/conf/addon-modules/midgard-db-install.sh
as root
EOTEXT

mkdir -p $RPM_BUILD_ROOT%_usr/lib/apache
cp -pr mod_midgard.so midgard-root.php $RPM_BUILD_ROOT%_libdir/apache/

mkdir -p $RPM_BUILD_ROOT%_var/cache/midgard

%post
echo '*** please read the file POSTINSTALL in the documentation directory ***'
echo '*** to finish the installation. Thank you                           ***'
if [ $1 = "1" ]; then
  echo "Include conf/addon-modules/mod_midgard.conf" >> /etc/httpd/conf/httpd.conf
fi
%_sbindir/apachectl update

%preun
if [ $1 = "0" ]; then
  /usr/bin/subst "s|Include conf/addon-modules/mod_midgard.conf||g;" \
	/etc/httpd/conf/httpd.conf
fi

%postun
%_sbindir/apachectl update

%files
%config %_libdir/apache/midgard-root.php
%_libdir/apache/mod_midgard.so
%config %_sysconfdir/httpd/conf/addon-modules/mod_midgard.conf
%attr(2770, root, apache) %_var/cache/midgard
%doc POSTINSTALL
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc INSTALL
%doc INSTALL.ru
%doc NEWS
%doc README
%doc README.ru

%changelog
* Fri Sep 26 2003 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.2cvs20030916
- Forgot to obsolete mod_midgard-preparse.

* Wed Sep 17 2003 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.1cvs20030916
- New version from CVS

* Sat May 24 2003 Sergei Dolmatov <saint@altlinux.ru> 1.4.4-alt2
- Wrong dependency on db3

* Thu May 22 2003 Sergei Dolmatov <saint@altlinux.ru> 1.4.4-alt1
- New version

